Zum Inhalt springen
meniodevelopermenio DashboardVorschau

GET context-identifiers · POS API

GET context-identifiers

POS API v3contextIdentifiers
GET/merchants/{qnipsUsername}/contextIdentifiers?outletId={outletId}

This resource essentially provides a list of regular expressions that can be used to distinguish whether an input or scan of a barcode (or 2D codes) contains a menio-relevant identifier and to what Type of identifier it may be. The following types can be distinguished:

Request-Header

Accept
application/json
DevKey
{Your Key}
Authorization
{qnipsUserName}:{qnipsPwd} Let the merchant enter the username and password of his Qnips account and insert them here, separated by a colon, e.g. `hans.müller@firma.de:geheim`
Kontext: contextIdentifiers

It is useful to be able to recognize directly at the cash register after a scan or a keyboard entry whether is a menio-relevant identifier, to add it to the context of a basket if necessary. This can be achieved via Regular expressions, which the cash register can print out via special API call.

These regular expressions are always site-specific and can be extended or adapted on a daily basis, so a nightly update of this information per location is provided at the checkout.

The following type distinctions exist for menio-relevant identifiers:

Type Description
menio Profile Identifier This is usually used as a consumerIdentToken for the POST basket
discount codes These are simple coupon identifiers that can be added directly to the basket without a 'consumerIdentToken'.

If such discount codes are recorded at the cash register without a menio profile identifier following, they are so-called generic coupons, which are not personal and therefore no profile identifier is used for calculation

Such coupon identifiers must be added to the basket directly in the request body in the property 'ContextIdentifiers'.

Originaler Blueprint-Ausschnitt
API Blueprint
### GET context-identifiers [GET]
This resource essentially provides a list of regular expressions that can be used to distinguish whether
an input or scan of a barcode (or 2D codes) contains a qnips-relevant identifier and to what
Type of identifier it may be. The following types can be distinguished:
+ Request

    + Headers

            Accept: application/json
            DevKey: {Your Key}
            Authorization: {qnipsUserName}:{qnipsPwd} Let the merchant enter the username and password of his Qnips account and insert them here, separated by a colon, e.g. `hans.müller@firma.de:geheim`

+ response 200

        [
            {
                "type": 1,
                "regex": "oT[a-zA-Z0-9]{10}P"
                "name": "Profiltoken App"
            },
            {
                "type": 1,
                "regex": "C[a-zA-Z0-9]{16}"
                "name": "Profiltoken Kundenkarte"
            },
            {
                "type": 2,
                "regex": "VA04[0-9]{9}"
                "name": "Vattenfall-coupon Lokalzeitung"
            },
            {
                "type": 2,
                "regex": "VA05[0-9]{9}"
                "name": "Vattenfall-Coupon PDF download"
            }
        ]
        // type 1: ConsumerIdentToken
        // type 2: CouponIdent

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing

+ Response 401

        // HTTP-Unauthorized: DevKey not specified or not available

+ response 404

        // HTTP-NotFound: qnipsUserName or outletId unknown